<?xml version="1.0" encoding="UTF-8"?>
<!-- edited with XMLSpy v2021 rel. 3 (x64) (http://www.altova.com) by VASILIOS PERGIOUDAKIS (CYBERCE S.A.) -->
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns="http://www.aade.gr/fuel/inoutflow/common" targetNamespace="http://www.aade.gr/fuel/inoutflow/common" elementFormDefault="qualified" attributeFormDefault="unqualified">
	<xs:element name="InflowOutflowResponse">
		<xs:annotation>
			<xs:documentation>Comment describing your root element</xs:documentation>
		</xs:annotation>
		<xs:complexType>
			<xs:sequence>
				<xs:element name="Result" type="TicketResponseType"/>
			</xs:sequence>
		</xs:complexType>
	</xs:element>
	<xs:complexType name="TicketBasicType">
		<xs:sequence>
			<xs:element name="Type" nillable="false">
				<xs:annotation>
					<xs:documentation>Ένδειξη για το αν πρόκειται για Νέο Δελτίο ή Update υφιστάμενου Δελτίου</xs:documentation>
				</xs:annotation>
				<xs:simpleType>
					<xs:restriction base="xs:string">
						<xs:length value="1"/>
						<xs:pattern value="1"/>
						<xs:pattern value="2"/>
					</xs:restriction>
				</xs:simpleType>
			</xs:element>
			<xs:element name="Identifier" nillable="false" minOccurs="0">
				<xs:annotation>
					<xs:documentation>Μοναδικός Αριθμός Δελτίου στην εφαρμογή ΑΑΔΕ</xs:documentation>
				</xs:annotation>
				<xs:simpleType>
					<xs:restriction base="xs:string">
						<xs:maxLength value="50"/>
					</xs:restriction>
				</xs:simpleType>
			</xs:element>
			<xs:element name="RefDateTime" type="xs:dateTime" nillable="false">
				<xs:annotation>
					<xs:documentation>Ημερομηνία / Ώρα Έκδοσης Δελτίου</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="Comments" nillable="false" minOccurs="0">
				<xs:annotation>
					<xs:documentation>Παρατηρήσεις</xs:documentation>
				</xs:annotation>
				<xs:simpleType>
					<xs:restriction base="xs:string">
						<xs:maxLength value="1000"/>
					</xs:restriction>
				</xs:simpleType>
			</xs:element>
		</xs:sequence>
	</xs:complexType>
	<xs:complexType name="FuelBasicType">
		<xs:sequence>
			<xs:element name="TaricCode">
				<xs:annotation>
					<xs:documentation>Κωδικός TARIC καυσίμου</xs:documentation>
				</xs:annotation>
				<xs:simpleType>
					<xs:restriction base="xs:string">
						<xs:maxLength value="10"/>
					</xs:restriction>
				</xs:simpleType>
			</xs:element>
			<xs:element name="Description" nillable="false">
				<xs:annotation>
					<xs:documentation>Περιγραφή καυσίμου</xs:documentation>
				</xs:annotation>
				<xs:simpleType>
					<xs:restriction base="xs:string">
						<xs:maxLength value="500"/>
					</xs:restriction>
				</xs:simpleType>
			</xs:element>
			<xs:element name="PSTCode" nillable="false" minOccurs="0">
				<xs:annotation>
					<xs:documentation>Κωδικός Προιόντος Π.Σ.Τ.</xs:documentation>
				</xs:annotation>
				<xs:simpleType>
					<xs:restriction base="xs:string">
						<xs:maxLength value="10"/>
					</xs:restriction>
				</xs:simpleType>
			</xs:element>
		</xs:sequence>
	</xs:complexType>
	<xs:complexType name="TankBasicType">
		<xs:sequence>
			<xs:element name="Code" nillable="false">
				<xs:annotation>
					<xs:documentation>Αριθμός Μητρώου Δεξαμενής (από Μητρώο)</xs:documentation>
				</xs:annotation>
				<xs:simpleType>
					<xs:restriction base="xs:string">
						<xs:maxLength value="50"/>
					</xs:restriction>
				</xs:simpleType>
			</xs:element>
		</xs:sequence>
	</xs:complexType>
	<xs:complexType name="MeasureBasicType">
		<xs:sequence>
			<xs:element name="DateTime" type="xs:dateTime" nillable="false">
				<xs:annotation>
					<xs:documentation>Ημερομηνία / Ώρα</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="Volume" nillable="false">
				<xs:annotation>
					<xs:documentation>Όγκος καυσίμου στην δεξαμενή στους 15 οC / 20 oC</xs:documentation>
				</xs:annotation>
				<xs:simpleType>
					<xs:restriction base="xs:decimal">
						<xs:fractionDigits value="2"/>
					</xs:restriction>
				</xs:simpleType>
			</xs:element>
		</xs:sequence>
	</xs:complexType>
	<xs:complexType name="TankBalanceType">
		<xs:complexContent>
			<xs:extension base="TicketBasicType">
				<xs:sequence>
					<xs:element name="TotalMeterOutflows" nillable="false">
						<xs:annotation>
							<xs:documentation>Παραπομπή σε documentation</xs:documentation>
						</xs:annotation>
						<xs:simpleType>
							<xs:restriction base="xs:decimal">
								<xs:fractionDigits value="2"/>
							</xs:restriction>
						</xs:simpleType>
					</xs:element>
					<xs:element name="TotalBridgeOutflows" nillable="false">
						<xs:annotation>
							<xs:documentation>Παραπομπή σε documentation</xs:documentation>
						</xs:annotation>
						<xs:simpleType>
							<xs:restriction base="xs:decimal">
								<xs:fractionDigits value="2"/>
							</xs:restriction>
						</xs:simpleType>
					</xs:element>
					<xs:element name="VolumeDeviation" nillable="false">
						<xs:annotation>
							<xs:documentation>Απόκλιση όγκου εισροών – εκροών</xs:documentation>
						</xs:annotation>
						<xs:simpleType>
							<xs:restriction base="xs:decimal">
								<xs:fractionDigits value="2"/>
							</xs:restriction>
						</xs:simpleType>
					</xs:element>
					<xs:element name="VolumeDeviationPercentage" nillable="false">
						<xs:annotation>
							<xs:documentation>Απόκλιση εισροών – εκροών ως ποσοστό με βάση αναφοράς τη μεταβολή του όγκου της        Δεξαμενής                  </xs:documentation>
						</xs:annotation>
						<xs:simpleType>
							<xs:restriction base="xs:decimal">
								<xs:fractionDigits value="2"/>
							</xs:restriction>
						</xs:simpleType>
					</xs:element>
				</xs:sequence>
			</xs:extension>
		</xs:complexContent>
	</xs:complexType>
	<xs:complexType name="TicketResponseType">
		<xs:sequence>
			<xs:element name="TicketUuid" type="xs:string"/>
		</xs:sequence>
	</xs:complexType>
</xs:schema>